@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.datepicker {
  position: relative;

  &__field-wrap {
    position: relative;

    &::after {
      content: "";
      position: absolute;
      top: 50%;
      right: 15px;
      transform: translateY(-50%);
      width: 24px;
      height: 24px;
      background-image: url("/assets/images/components/datepicker/images/calendar.svg");
      background-repeat: no-repeat;
    }

    .datepicker:hover &::after {
      background-image: url("/assets/images/components/datepicker/images/calendar--yellow.svg");
    }
  }

  &__field {
    @include input();

    .datepicker--invalid & {
      border: 1px solid $red-color;
      background-color: rgba($red-color, 0.5);
      color: $red-color;
    }

    .datepicker:hover & {
      border-color: $primary-color;
    }
  }
}
